org.eclipse.oomph.setup

## Interface SetupFactory

- All Superinterfaces:
    EFactory, EModelElement, EObject, Notifier
  All Known Implementing Classes:
    SetupFactoryImpl

      public interface SetupFactory
      extends EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `SetupPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SetupFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttributeRule` | `createAttributeRule()` Returns a new object of class 'Attribute Rule'.
    `CatalogSelection` | `createCatalogSelection()` Returns a new object of class 'Catalog Selection'.
    `CompoundTask` | `createCompoundTask()` Returns a new object of class 'Compound Task'.
    `CompoundTask` | `createCompoundTask(String name)`
    `EclipseIniTask` | `createEclipseIniTask()` Returns a new object of class 'Eclipse Ini Task'.
    `Index` | `createIndex()` Returns a new object of class 'Index'.
    `Installation` | `createInstallation()` Returns a new object of class 'Installation'.
    `InstallationTask` | `createInstallationTask()` Returns a new object of class 'Installation Task'.
    `LinkLocationTask` | `createLinkLocationTask()` Returns a new object of class 'Link Location Task'.
    `LocationCatalog` | `createLocationCatalog()` Returns a new object of class 'Location Catalog'.
    `PreferenceTask` | `createPreferenceTask()` Returns a new object of class 'Preference Task'.
    `Product` | `createProduct()` Returns a new object of class 'Product'.
    `ProductCatalog` | `createProductCatalog()` Returns a new object of class 'Product Catalog'.
    `ProductVersion` | `createProductVersion()` Returns a new object of class 'Product Version'.
    `Project` | `createProject()` Returns a new object of class 'Project'.
    `ProjectCatalog` | `createProjectCatalog()` Returns a new object of class 'Project Catalog'.
    `RedirectionTask` | `createRedirectionTask()` Returns a new object of class 'Redirection Task'.
    `ResourceCopyTask` | `createResourceCopyTask()` Returns a new object of class 'Resource Copy Task'.
    `ResourceCreationTask` | `createResourceCreationTask()` Returns a new object of class 'Resource Creation Task'.
    `Stream` | `createStream()` Returns a new object of class 'Stream'.
    `StringSubstitutionTask` | `createStringSubstitutionTask()` Returns a new object of class 'String Substitution Task'.
    `TextModification` | `createTextModification()` Returns a new object of class 'Text Modification'.
    `TextModifyTask` | `createTextModifyTask()` Returns a new object of class 'Text Modify Task'.
    `User` | `createUser()` Returns a new object of class 'User'.
    `VariableChoice` | `createVariableChoice()` Returns a new object of class 'Variable Choice'.
    `VariableTask` | `createVariableTask()` Returns a new object of class 'Variable Task'.
    `Workspace` | `createWorkspace()` Returns a new object of class 'Workspace'.
    `WorkspaceTask` | `createWorkspaceTask()` Returns a new object of class 'Workspace Task'.
    `SetupPackage` | `getSetupPackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final SetupFactory eINSTANCE

      The singleton instance of the factory.
      Generated

  - ### Method Detail

    - #### createIndex

          Index createIndex()

      Returns a new object of class 'Index'.
      Returns:
        a new object of class 'Index'.
      Generated

    - #### createCatalogSelection

          CatalogSelection createCatalogSelection()

      Returns a new object of class 'Catalog Selection'.
      Returns:
        a new object of class 'Catalog Selection'.
      Generated

    - #### createUser

          User createUser()

      Returns a new object of class 'User'.
      Returns:
        a new object of class 'User'.
      Generated

    - #### createProject

          Project createProject()

      Returns a new object of class 'Project'.
      Returns:
        a new object of class 'Project'.
      Generated

    - #### createStream

          Stream createStream()

      Returns a new object of class 'Stream'.
      Returns:
        a new object of class 'Stream'.
      Generated

    - #### createInstallation

          Installation createInstallation()

      Returns a new object of class 'Installation'.
      Returns:
        a new object of class 'Installation'.
      Generated

    - #### createProductCatalog

          ProductCatalog createProductCatalog()

      Returns a new object of class 'Product Catalog'.
      Returns:
        a new object of class 'Product Catalog'.
      Generated

    - #### createProduct

          Product createProduct()

      Returns a new object of class 'Product'.
      Returns:
        a new object of class 'Product'.
      Generated

    - #### createProductVersion

          ProductVersion createProductVersion()

      Returns a new object of class 'Product Version'.
      Returns:
        a new object of class 'Product Version'.
      Generated

    - #### createProjectCatalog

          ProjectCatalog createProjectCatalog()

      Returns a new object of class 'Project Catalog'.
      Returns:
        a new object of class 'Project Catalog'.
      Generated

    - #### createInstallationTask

          InstallationTask createInstallationTask()

      Returns a new object of class 'Installation Task'.
      Returns:
        a new object of class 'Installation Task'.
      Generated

    - #### createWorkspaceTask

          WorkspaceTask createWorkspaceTask()

      Returns a new object of class 'Workspace Task'.
      Returns:
        a new object of class 'Workspace Task'.
      Generated

    - #### createCompoundTask

          CompoundTask createCompoundTask()

      Returns a new object of class 'Compound Task'.
      Returns:
        a new object of class 'Compound Task'.
      Generated

    - #### createCompoundTask

          CompoundTask createCompoundTask(String name)

    - #### createVariableTask

          VariableTask createVariableTask()

      Returns a new object of class 'Variable Task'.
      Returns:
        a new object of class 'Variable Task'.
      Generated

    - #### createResourceCopyTask

          ResourceCopyTask createResourceCopyTask()

      Returns a new object of class 'Resource Copy Task'.
      Returns:
        a new object of class 'Resource Copy Task'.
      Generated

    - #### createTextModifyTask

          TextModifyTask createTextModifyTask()

      Returns a new object of class 'Text Modify Task'.
      Returns:
        a new object of class 'Text Modify Task'.
      Generated

    - #### createTextModification

          TextModification createTextModification()

      Returns a new object of class 'Text Modification'.
      Returns:
        a new object of class 'Text Modification'.
      Generated

    - #### createStringSubstitutionTask

          StringSubstitutionTask createStringSubstitutionTask()

      Returns a new object of class 'String Substitution Task'.
      Returns:
        a new object of class 'String Substitution Task'.
      Generated

    - #### createAttributeRule

          AttributeRule createAttributeRule()

      Returns a new object of class 'Attribute Rule'.
      Returns:
        a new object of class 'Attribute Rule'.
      Generated

    - #### createLocationCatalog

          LocationCatalog createLocationCatalog()

      Returns a new object of class 'Location Catalog'.
      Returns:
        a new object of class 'Location Catalog'.
      Generated

    - #### createRedirectionTask

          RedirectionTask createRedirectionTask()

      Returns a new object of class 'Redirection Task'.
      Returns:
        a new object of class 'Redirection Task'.
      Generated

    - #### createVariableChoice

          VariableChoice createVariableChoice()

      Returns a new object of class 'Variable Choice'.
      Returns:
        a new object of class 'Variable Choice'.
      Generated

    - #### createResourceCreationTask

          ResourceCreationTask createResourceCreationTask()

      Returns a new object of class 'Resource Creation Task'.
      Returns:
        a new object of class 'Resource Creation Task'.
      Generated

    - #### createEclipseIniTask

          EclipseIniTask createEclipseIniTask()

      Returns a new object of class 'Eclipse Ini Task'.
      Returns:
        a new object of class 'Eclipse Ini Task'.
      Generated

    - #### createWorkspace

          Workspace createWorkspace()

      Returns a new object of class 'Workspace'.
      Returns:
        a new object of class 'Workspace'.
      Generated

    - #### createLinkLocationTask

          LinkLocationTask createLinkLocationTask()

      Returns a new object of class 'Link Location Task'.
      Returns:
        a new object of class 'Link Location Task'.
      Generated

    - #### createPreferenceTask

          PreferenceTask createPreferenceTask()

      Returns a new object of class 'Preference Task'.
      Returns:
        a new object of class 'Preference Task'.
      Generated

    - #### getSetupPackage

          SetupPackage getSetupPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html